apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: my-ds
  labels:
    app: daemon-pod
spec: 
  template:
    metadata:
      namespace: ops
      name: my-app
      labels: 
        app: my-app
    spec:
      containers:
        - name: my-app
          image: nginx
          ports:
            - name: http
              containerPort: 80
              protocol: TCP
      nodeSelector:
        kubernetes.io/hostname: node01
  selector:
    matchLabels:
      app: daemon-pod
  
  